#----------------------------------------
# SUBVERSION PROPERTIES
#----------------------------------------

# NOTE: New from version 0.6 is support for multiple svn repositories. You can specify a default repository
# with the same syntax as before (svn.root = {svn root}, etc...). You can now specify additional repositories
# with: svn.root.1=..., svn.root.2=..., and so on. If you do not specify the username, password, view url,
# revision indexing, and revision indexing cache size for you additional repository entries then the values
# will be taken from your default repository entry (in this way you do not need to copy username and password
# over and over if they are the same). You should note that there is also a new property, svn.dislay.name
# which, when specified, will be shown on the log page and will identify the repository. If this property
# is not specifed then the svn root will be used.

# Full path to the Subversion root - at the moment svn://, svn+ssh://, http://, https:// and file:// are supported.
svn.root=http://svn.atlassian.com/svn/public/contrib/jira/subversion-jira-plugin/samplerepo/
#svn.root=svn://localhost/repos
#svn.root=http://svn.apache.org/repos/asf/forrest/trunk
#svn.root=svn://svn.cargo.codehaus.org/cargo/scm/cargo/trunk
# Note that there are 3(!) slash characters after "file:"
#svn.root=file:///path/to/local/repo
# Note that this plugin now supports multiple repositories with the follwing syntax
#svn.root.1=//localhost/otherRepos

# Subversion repository display name - can include HTML, eg. <a href="http://svn.mycompany.com/">SVN Repo</a>
svn.display.name=Sample Repository
#svn.display.name.1=My Other Repository

# Subversion username
#svn.username=mike
#svn.username.1=mark

# Subversion password
#svn.password=chocolate
#svn.password.1=icecream

# OpenSSH private key file
#Please note: The passphrase for the private key file is contained in "svn.password".
#svn.privatekeyfile=C:/PuTTY/privatekey.openssh
#svn.privatekeyfile.1=/home/subversion/privatekey.openssh

#----------------------------------------
# WEB LINKING
#----------------------------------------
# If you specify the URL of your ViewCVS/ViewSVN/Fisheye server, JIRA will hyperlink file entries,
# change lists and jobs to it. Format is configurable, with the following variables replaced at
# runtime:
# ${path} - Path to the changed file or directory
# ${rev} - Subversion revision of the change
# ${rev-1} - Subversion revision of the change, minus 1

#---------------------------------
# ViewCVS (1.0-DEV)
#---------------------------------
#linkformat.changeset=http://your.host.address/viewcvs?view=rev&rev=${rev}
#linkformat.file.added=http://your.host.address/viewcvs.cgi/${path}/?rev=${rev}&view=markup
#linkformat.file.modified=http://your.host.address/viewcvs.cgi/${path}/?rev=${rev}&view=diff&r1=${rev}&r2=${rev-1}&p1=${path}&p2=${path}
#linkformat.file.replaced=http://your.host.address/viewcvs.cgi/${path}/?rev=${rev}&view=markup
#linkformat.file.deleted=http://your.host.address/viewcvs.cgi/${path}/?rev=${rev-1}&view=markup
#linkformat.copyfrom=http://your.host.address/viewcvs.cgi/${path}?rev=${rev-1}&view=markup
# linkformat.changeset.1=...
# linkformat.file.added.1=...

#---------------------------------
# ViewVC 1.0.1
#---------------------------------
#linkformat.changeset=http://your.host.address/viewvc?root=svn&revision=${rev}&view=rev
#linkformat.file.added=http://your.host.address/viewvc${path}/?revision=${rev}&view=markup&pathrev=${rev}&root=svn
#linkformat.file.modified=http://your.host.address/viewvc${path}/?revision=${rev}&r1=${rev}&r2=${rev-1}&root=svn
#linkformat.file.replaced=http://your.host.address/viewvc${path}/?revision=${rev}&view=markup&root=svn
#linkformat.file.deleted=http://your.host.address/viewvc${path}?pathrev=${rev-1}&view=markup&root=svn
#linkformat.copyfrom=http://your.host.address/viewvc${path}?revision=${rev-1}&view=markup&root=svn

#---------------------------------
# ViewVC 1.0.3
#---------------------------------
#linkformat.changeset=http://192.168.0.100/viewvc?root=svn&revision=${rev}&view=rev
#linkformat.file.added=http://192.168.0.100/viewvc${path}/?revision=${rev}&view=markup&pathrev=${rev}&root=svn
#linkformat.file.modified=http://192.168.0.100/viewvc${path}/?revision=${rev}&r1=${rev}&r2=${rev-1}&root=svn
#linkformat.file.replaced=http://192.168.0.100/viewvc${path}/?revision=${rev}&view=markup&root=svn
#linkformat.file.deleted=http://192.168.0.100/viewvc${path}?pathrev=${rev-1}&view=markup&root=svn
#linkformat.copyfrom=http://192.168.0.100/viewvc${path}?revision=${rev-1}&view=markup&root=svn

#---------------------------------
# ViewVC 1.0.4
#---------------------------------
#linkformat.changeset=http://your.host.address/viewvc?root=svn&revision=${rev}&pathrev=${rev}&view=rev
#linkformat.file.added=http://your.host.address/viewvc${path}?root=svn&pathrev=${rev}
#linkformat.file.modified=http://your.host.address/viewvc${path}?root=svn&pathrev=${rev}&view=diff&r1=${rev}&r2=${rev-1}&diff_format=h
#linkformat.file.deleted=http://your.host.address/viewvc${path}?root=svn&pathrev=${rev-1}
#linkformat.copyfrom=http://your.host.address/viewvc${path}?root=svn&pathrev=${rev-1}&view=markup

#---------------------------------
# FishEye
#---------------------------------
linkformat.changeset=http://svn.atlassian.com/fisheye/changelog/public?cs=${rev}
linkformat.file.added=http://svn.atlassian.com/fisheye/viewrep/public${path}?r=${rev}
linkformat.file.modified=http://svn.atlassian.com/fisheye/viewrep/public${path}#${rev}
linkformat.file.replaced=http://svn.atlassian.com/fisheye/viewrep/public${path}#${rev}
linkformat.file.deleted=http://svn.atlassian.com/fisheye/viewrep/public${path}
linkformat.copyfrom=http://svn.atlassian.com/fisheye/viewrep/public${path}
#
#linkformat.changeset.1=...
#linkformat.file.added.1=...

#---------------------------------
# WebClient for SVN
#---------------------------------
#linkformat.changeset=http://your.host.address/svnwebclient/revisionDetails.jsp?location=/&rev=${rev}
#linkformat.file.added=http://your.host.address/svnwebclient/changedResource.jsp?location=/&url=${path}&rev=${rev}&action=add
#linkformat.file.modified=http://your.host.address/svnwebclient/changedResource.jsp?location=/&url=${path}&rev=${rev}&action=modify
#linkformat.file.replaced=http://your.host.address/svnwebclient/changedResource.jsp?location=/&url=${path}&rev=${rev}&action=replace
#linkformat.file.deleted=http://your.host.address/svnwebclient/changedResource.jsp?location=/&url=${path}&rev=${rev}&action=delete
#linkformat.copyfrom=http://your.host.address/svnwebclient/changedResource.jsp?location=/&url=${path}&rev=${rev}&action=add

#----------------------------------------
# REVISION INDEXING
#----------------------------------------
# if this property is uncommented and set to true, every revision in Subversion will be indexed
# and linked to any mentioned issue keys
revision.indexing=true
#revision.indexing.1=true

# the number of revisions to keep cached in memory for quick retrieval
# note: this number does not affect the speed with which revisions are looked up from the index (to get revisions for a given issue)
# this affects the speed at which the full content of those revisions are retrieved from SVN.
revision.cache.size=10000
#revision.cache.size.1=20000


